<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title th:text="|${movies.title} Details|">Movie Details</title>
</head>
<body>

<a th:href="@{/movies}">back</a>

<p></p>
<div class="btn-group" style="width:100%">
    <input type="button" onclick="location.href='/movies';" style=width:20%; value="Movies"/>
    <input type="button" onclick="location.href='/actors';" style=width:20%; value="Actors"/>
    <input type="button" onclick="location.href='/directors';" style=width:20%; value="Directors"/>
    <input type="button" onclick="location.href='/users';" style=width:20%; value="Users"/>
</div>


<!-- text has to be surrounded by `|` for multiple variables OR variable + text -->
<p th:text="|${movies.title} ${movies.dateOfRelease}|"></p>

<p th:if="${movies.description==null}">No description!</p>
<p th:text="|${movies.description}|"></p>


<p th:if="${movies.actors.isEmpty()}">No actors!</p>

<ul th:unless="${movies.actors.isEmpty()}">
    <li th:each="actor : ${movies.actors}">
        <a th:href="@{/actors/{id}(id=${actor.id})}"
           th:text="|${actor.firstName} - ${actor.lastName}|"></a>
    </li>
</ul>


<p th:if="${movies.director==null}">No director!</p>

<ul th:unless="${movies.director==null}">
    <li th:each="director : ${movies.director}">
        <a th:href="@{/directors/{id}(id=${director.id})}"
           th:text="|${director.firstName} - ${director.lastName}|"></a>
    </li>
</ul>

<!--<p th:if="${movies.genre==null}">No genre</p>-->

<!--<ul th:unless="${movies.genre.isEmpty()}">-->

        <!--<a  th:text="|${movies.genre}|"></a>-->

<!--</ul>-->



</form>
</body>
</html>